<?php
add_filter('emodal_admin_addons_tabs', 'emodal_admin_addons_pro_tab', 10);
function emodal_admin_addons_pro_tab($tabs)
{
	$tabs[] = array( 'id' => 'pro', 'label' => __('Pro', EMCORE_SLUG) );
	return $tabs;
}

add_action('emodal_admin_addons_tab_pro', 'emodal_admin_addons_pro_tab_content', 10);
function emodal_admin_addons_pro_tab_content()
{
    $addons = EModal_License::available_addons();?>
    <ul class="addons-available">
        <?php foreach($addons as $addon) :?>
        <li class="available-addon-inner">
            <img class="addon-thumbnail" src="<?php esc_attr_e($addon->image)?>">

            <h3><?php esc_html_e($addon->name)?></h3><?php
            if(!empty($addon->download_url))
            {
                ?><span class="action-links"><a class="button install" href="<?php echo esc_url( wp_nonce_url( admin_url('update.php?action=install-plugin&plugin='.$addon->slug.'/'.$addon->slug.'.php') ) );?>"><?php _e('Install', EMCORE_SLUG);?></a></span><?php
            } else {
                ?><div class="addon-upgrade"><span class="action-links"><?php
                if($addon->required_license == 'developer')
                {
                    _e('This Add-On is available to Easy Modal Developer license holders.', EMCORE_SLUG);
                }
                else
                {
                    _e('This Add-On is available to Easy Modal Pro license holders.', EMCORE_SLUG);
                }
                ?></span></div>
                <span class="action-links"><a class="button button" target="_blank" href="https://easy-modal.com/pricing"><?php _e('Upgrade Now', EMCORE_SLUG);?></a></span><?php
            }?>
            <p><?php esc_html_e($addon->description)?></p>
        </li>
        <?php endforeach;?>
    </ul><?php
}