<?php
add_action('emodal_model_modal_meta_defaults', 'emodal_model_modal_meta_core_defaults', 10);
function emodal_model_modal_meta_core_defaults($options){
	$options['display']['overlay_disabled'] = 0;
	$options['display']['size'] = 'medium';
	$options['display']['custom_width'] = '';
	$options['display']['custom_width_unit'] = '%';
	$options['display']['custom_height'] = '';
	$options['display']['custom_height_unit'] = 'em';
	$options['display']['custom_height_auto'] = 1;

	$options['display']['location'] = 'center top';
	$options['display']['position']['top'] = 100;
	$options['display']['position']['left'] = 0;
	$options['display']['position']['bottom'] = 0;
	$options['display']['position']['right'] = 0;
	$options['display']['position']['fixed'] = 0;

	$options['display']['animation']['type'] = 'fade';
	$options['display']['animation']['speed'] = 350;
	$options['display']['animation']['origin'] = 'center top';

	$options['close']['overlay_click'] = 0;
	$options['close']['esc_press'] = 1;
	return $options;
}

add_action('emodal_model_theme_meta_defaults', 'emodal_model_theme_meta_core_defaults', 10);
function emodal_model_theme_meta_core_defaults($options){
	$options['overlay']['background']['color'] = '#220E10';
	$options['overlay']['background']['opacity'] = 85;

	$options['container']['padding'] = 10;
	$options['container']['background']['color'] = '#F7F5E7';
	$options['container']['background']['opacity'] = 100;
	$options['container']['border']['style'] = 'solid';
	$options['container']['border']['color'] = '#f0532b';
	$options['container']['border']['width'] = 1;
	$options['container']['border']['radius'] = 8;
	$options['container']['boxshadow']['inset'] = 'no';
	$options['container']['boxshadow']['horizontal'] = 3;
	$options['container']['boxshadow']['vertical'] = 3;
	$options['container']['boxshadow']['blur'] = 2;
	$options['container']['boxshadow']['spread'] = 0;
	$options['container']['boxshadow']['color'] = '#000';
	$options['container']['boxshadow']['opacity'] = 0.4;

	$options['title']['font']['color'] = '#f0532b';
	$options['title']['font']['size'] = 32;
	$options['title']['font']['family'] = 'Tahoma';
	$options['title']['text']['align'] = 'center';
	$options['title']['textshadow']['horizontal'] = 0;
	$options['title']['textshadow']['vertical'] = 0;
	$options['title']['textshadow']['blur'] = 0;
	$options['title']['textshadow']['color'] = '#000';
	$options['title']['textshadow']['opacity'] = 0;

	$options['content']['font']['color'] = '#f0532b';
	$options['content']['font']['family'] = 'Times New Roman';

	$options['close']['text'] = __('&#215;', EMCORE_SLUG);
	$options['close']['location'] = 'topright';
	$options['close']['position']['top'] = 0;
	$options['close']['position']['left'] = 0;
	$options['close']['position']['bottom'] = 0;
	$options['close']['position']['right'] = 0;
	$options['close']['padding'] = 2;
	$options['close']['background']['color'] = '#000';
	$options['close']['background']['opacity'] = 100;
	$options['close']['font']['color'] = '#f0532b';
	$options['close']['font']['size'] = 16;
	$options['close']['font']['family'] = 'Times New Roman';
	$options['close']['border']['style'] = 'solid';
	$options['close']['border']['color'] = '#fff';
	$options['close']['border']['width'] = 1;
	$options['close']['border']['radius'] = 10;
	$options['close']['boxshadow']['inset'] = 'no';
	$options['close']['boxshadow']['horizontal'] = 0;
	$options['close']['boxshadow']['vertical'] = 0;
	$options['close']['boxshadow']['blur'] = 0;
	$options['close']['boxshadow']['spread'] = 0;
	$options['close']['boxshadow']['color'] = '#000';
	$options['close']['boxshadow']['opacity'] = 0;
	$options['close']['textshadow']['horizontal'] = 0;
	$options['close']['textshadow']['vertical'] = 0;
	$options['close']['textshadow']['blur'] = 0;
	$options['close']['textshadow']['color'] = '#000';
	$options['close']['textshadow']['opacity'] = 0;
	return $options;
}






add_filter('emodal_size_unit_options', 'emodal_core_size_unit_options',10);
function emodal_core_size_unit_options($options){
	return array_merge($options, array(
		// option => value
		__('PX', EMCORE_SLUG) => 'px',
		__('%', EMCORE_SLUG) => '%',
		__('EM', EMCORE_SLUG) => 'em',
		__('REM', EMCORE_SLUG) => 'rem',
	));
}

add_filter('emodal_border_style_options', 'emodal_core_border_style_options',10);
function emodal_core_border_style_options($options){
	return array_merge($options, array(
		// option => value
		__('None', EMCORE_SLUG) => 'none',
		__('Solid', EMCORE_SLUG) => 'solid',
		__('Dotted', EMCORE_SLUG) => 'dotted',
		__('Dashed', EMCORE_SLUG) => 'dashed',
		__('Double', EMCORE_SLUG) => 'double',
		__('Groove', EMCORE_SLUG) => 'groove',
		__('Inset', EMCORE_SLUG) => 'inset',
		__('Outset', EMCORE_SLUG) => 'outset',
		__('Ridge', EMCORE_SLUG) => 'ridge',
	));
}

add_filter('emodal_font_family_options', 'emodal_core_font_family_options',10);
function emodal_core_font_family_options($options){
	return array_merge($options, array(
		// option => value
		__('Sans-Serif', EMCORE_SLUG) => 'Sans-Serif',
		__('Tahoma', EMCORE_SLUG) => 'Tahoma',
		__('Georgia', EMCORE_SLUG) => 'Georgia',
		__('Comic Sans MS', EMCORE_SLUG) => 'Comic Sans MS',
		__('Arial', EMCORE_SLUG) => 'Arial',
		__('Lucida Grande', EMCORE_SLUG) => 'Lucida Grande',
		__('Times New Roman', EMCORE_SLUG) => 'Times New Roman',
	));
}

add_filter('emodal_text_align_options', 'emodal_core_text_align_options',10);
function emodal_core_text_align_options($options){
	return array_merge($options, array(
		// option => value
		__('Left', EMCORE_SLUG) => 'left',
		__('Center', EMCORE_SLUG) => 'center',
		__('Right', EMCORE_SLUG) => 'right'
	));
}


add_filter('emodal_modal_display_size_options', 'emodal_dropdown_divider',20);
function emodal_dropdown_divider($options){
	return array_merge($options, array(
		// value => option
		__('-----------------------') => ''
	));
}

add_filter('emodal_modal_display_size_options', 'emodal_modal_display_size_options_responsive',10);
function emodal_modal_display_size_options_responsive($options){
	return array_merge($options, array(
		// option => value
		__('Auto', EMCORE_SLUG) => 'auto',
		__('Responsive', EMCORE_SLUG) => '',
		__('Normal', EMCORE_SLUG) => 'normal',
		__('Nano', EMCORE_SLUG) => 'nano',
		__('Tiny', EMCORE_SLUG) => 'tiny',
		__('Small', EMCORE_SLUG) => 'small',
		__('Medium', EMCORE_SLUG) => 'medium',
		__('Large', EMCORE_SLUG) => 'large',
		__('X Large', EMCORE_SLUG) => 'x-large'
	));
}

add_filter('emodal_modal_display_size_options', 'emodal_modal_display_size_options_nonresponsive',30);
function emodal_modal_display_size_options_nonresponsive($options){
	return array_merge($options, array(
		// value => option
		'<strong>' . __('Non-Responsive', EMCORE_SLUG) . '</strong>' => '',
		__('Custom', EMCORE_SLUG) => 'custom',
	));
}


add_filter('emodal_modal_display_animation_type_options', 'emodal_core_modal_display_animation_type_options',10);
function emodal_core_modal_display_animation_type_options($options){
	return array_merge($options, array(
		// option => value
		__('None', EMCORE_SLUG) => 'none',
		__('Slide', EMCORE_SLUG) => 'slide',
		__('Fade', EMCORE_SLUG) => 'fade',
		__('Fade and Slide', EMCORE_SLUG) => 'fadeAndSlide',
		__('Grow', EMCORE_SLUG) => 'grow',
		__('Grow and Slide', EMCORE_SLUG) => 'growAndSlide',
	));
}


add_filter('emodal_modal_display_animation_origin_options', 'emodal_core_modal_display_animation_origins_options',10);
function emodal_core_modal_display_animation_origins_options($options){
	return array_merge($options, array(
		// option => value
		__('Top', EMCORE_SLUG) => 'top',
		__('Left', EMCORE_SLUG) => 'left',
		__('Bottom', EMCORE_SLUG) => 'bottom',
		__('Right', EMCORE_SLUG) => 'right',
		__('Top Left', EMCORE_SLUG) => 'left top',
		__('Top Center', EMCORE_SLUG) => 'center top',
		__('Top Right', EMCORE_SLUG) => 'right top',
		__('Middle Left', EMCORE_SLUG) => 'left center',
		__('Middle Center', EMCORE_SLUG) => 'center center',
		__('Middle Right', EMCORE_SLUG) => 'right center',
		__('Bottom Left', EMCORE_SLUG) => 'left bottom',
		__('Bottom Center', EMCORE_SLUG) => 'center bottom',
		__('Bottom Right', EMCORE_SLUG) => 'right bottom',
		//__('Mouse', EMCORE_SLUG) => 'mouse',
	));
}

add_filter('emodal_modal_display_location_options', 'emodal_core_modal_display_location_options',10);
function emodal_core_modal_display_location_options($options){
	return array_merge($options, array(
		// option => value
		__('Top Left', EMCORE_SLUG) => 'left top',
		__('Top Center', EMCORE_SLUG) => 'center top',
		__('Top Right', EMCORE_SLUG) => 'right top',
		__('Middle Left', EMCORE_SLUG) => 'left center',
		__('Middle Center', EMCORE_SLUG) => 'center ',
		__('Middle Right', EMCORE_SLUG) => 'right center',
		__('Bottom Left', EMCORE_SLUG) => 'left bottom',
		__('Bottom Center', EMCORE_SLUG) => 'center bottom',
		__('Bottom Right', EMCORE_SLUG) => 'right bottom',
	));
}

add_filter('emodal_theme_close_location_options', 'emodal_core_theme_close_location_options',10);
function emodal_core_theme_close_location_options($options){
	return array_merge($options, array(
		// option => value
		__('Top Left', EMCORE_SLUG) => 'topleft',
		__('Top Right', EMCORE_SLUG) => 'topright',
		__('Bottom Left', EMCORE_SLUG) => 'bottomleft',
		__('Bottom Right', EMCORE_SLUG) => 'bottomright',
	));
}